/*
  Author:  Jonathan Bondzie, Dr. Chuck Yeung
           Lennard Gas Simulation Source

	   Copyright (C) 1999  Penn State University

	   This program is free software; you can redistribute it and/or
	   modify it under the terms of the GNU General Public License
	   as published by the Free Software Foundation;
	   
	   This program is distributed in the hope that it will be useful,
	   but WITHOUT ANY WARRANTY; without even the implied warranty of
	   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	   GNU General Public License for more details.
	   
	   You should have received a copy of the GNU General Public License
	   along with this program; if not, write to the Free Software
	   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  
	   02111-1307, USA.

	   email jab341@psu.edu
*/

#include	"motifR.h"
#include	"Headers.h" 


void RescaleGraphics(Dimension initialwidth,Dimension width,
		     float* pixel_scale,int* diameter,float lx)
{
  static Dimension prev_width = width;
  static float prev_lx = lx;

 if( prev_width > width )
  {
    *pixel_scale = width/lx;
    *diameter = int( *pixel_scale + .5 );
  }
  else
  {
    *pixel_scale =  width/lx * width/initialwidth;
    *diameter = int( *pixel_scale + .5 );
  }

  /* keep the old vales */
  prev_width = width;
  prev_lx = lx;
}
